<?php

namespace App\Services\Payments;

use App\Models\PaymentRequest;

interface PaymentProviderInterface
{
    public function providerName(): string;

    public function createPaymentLink(PaymentRequest $paymentRequest): string;
}
